For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/member/loginlog

get

Get log of logins for a member

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
memberidintegerOptional
startintegerOptionalDefault: 0
countintegerOptionalDefault: 50
Responses
200

success

successbooleanOptionalExample: true
get/api/member/loginlog
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'memberid' => '3',
		'start' => 0,
		'count' => 25
	);

$request = array(
	'method' => 'GET',
	'path' => 'member/loginlog',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "total_count": 1,
  "loginlog": [
    {
      "member_loginlog_id": "1",
      "memberid": "3",
      "log_ip": "0x01020304",
      "log_time": "1565382564",
      "description": "",
      "ip_nice": "1.2.3.4"
    }
  ],
  "success": true
}

Last updated

Was this helpful?